### Method

# Soup MessageMetrics get_tls_start

#### Declaration [src]

    guint64
    soup_message_metrics_get_tls_start (
      SoupMessageMetrics* metrics
    )

#### Description [src]

Get the time immediately before the `SoupMessage` started the TLS handshake.

It will be 0 if no TLS handshake was required to fetch the resource (connection was not secure, a persistent connection was used or resource was loaded from the local disk cache).

#### Return value

Type: `guint64`

The tls start time.